Bug 214104 - error in postun of tomcat5-common-lib
error in postun of tomcat5-common-lib
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: tomcat5 (Show other bugs)
5.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Knox
qe-baseos-daemons
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-05 14:20 EST by Ben Konrath
Modified: 2015-11-01 19:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-14 12:23:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log of 'yum remove libgcj' (15.84 KB, text/plain)
2006-11-05 14:20 EST, Ben Konrath
no flags Details
Patch to spec against (3.20 KB, patch)
2009-08-06 13:20 EDT, Mark Chappell
no flags Details | Diff

  None (edit)
Description Ben Konrath 2006-11-05 14:20:34 EST
There was an error in the postun of the tomcat5-common-lib package when I yum
removed libgcj. Please refer to the attached log file for details. Thanks.
Comment 1 Ben Konrath 2006-11-05 14:20:34 EST
Created attachment 140408 [details]
log of 'yum remove libgcj'
Comment 2 Devrim GUNDUZ 2008-01-05 08:00:10 EST
Works for me in the latest releases. Closing this bug.
Comment 3 Mark Chappell 2009-08-06 13:06:32 EDT
This bug is in fact still there, however it's basically an uninstall race condition.

(The example's an EL5 package, but the error is still in the Rawhide SPEC)

error: %postun(tomcat5-server-lib-5.5.23-0jpp.7.el5_2.1.x86_64) scriptlet failed, exit status 127
/var/tmp/rpm-tmp.6596: line 1: /usr/bin/rebuild-gcj-db: No such file or directory



The spec should either include quite a few

Requires(postun): /usr/bin/rebuild-gcj-db

entries for the various packages 

or use the "/usr/bin/rebuild-gcj-db || :"

trick.
Comment 4 Mark Chappell 2009-08-06 13:14:28 EDT
Correction, it's corrected in Fedora, but still present in EL5
Comment 5 Mark Chappell 2009-08-06 13:20:22 EDT
Created attachment 356558 [details]
Patch to spec against 

Patch to spec against 

tomcat5-5.5.23-0jpp.7el5.2
Comment 6 Michal Haško 2011-12-14 12:23:29 EST
I see the patch applied in tomcat5-5.5.28-2.1.ep5.el5 (and newer)

Note You need to log in before you can comment on or make changes to this bug.